# Set the classpath to include the globus libraries
# without the naming-*.jar 
# This will make running globus-devel-env.sh script obsolete.
# Modified 07.09.2007 by L. Voicu


export CLASSPATH=""
if [ -z "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: environment variable GLOBUS_LOCATION not defined"  1>&2
    return 1
fi

if [ ! -d "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: invalid GLOBUS_LOCATION set: $GLOBUS_LOCATION" 1>&2
    return 1
fi

CP=.:${GLOBUS_LOCATION}:${GLOBUS_LOCATION}/build/classes
#variable=ls ${GLOBUS_LOCATION}/lib/*.jar|grep -v "${GLOBUS_LOCATION}/lib/naming-"|tr '\n' ' '
#for i in $variable
for i in `ls ${GLOBUS_LOCATION}/lib/*.jar|grep -v ${GLOBUS_LOCATION}/lib/mysql-connector|grep -v ${GLOBUS_LOCATION}/lib/antlr-2.7.6.jar|grep -v ${GLOBUS_LOCATION}/lib/gt2|grep -v ${GLOBUS_LOCATION}/lib/jdom|grep -v ${GLOBUS_LOCATION}/lib/ldap|grep -v ${GLOBUS_LOCATION}/lib/osiris|grep -v ${GLOBUS_LOCATION}/lib/utilities|grep -v ${GLOBUS_LOCATION}/lib/xmldb.jar|grep -v ${GLOBUS_LOCATION}/lib/xmlrpc-1.2-patched.jar|grep -v ${GLOBUS_LOCATION}/lib/yu_1.2_forDiligent.jar|grep -v ${GLOBUS_LOCATION}/lib/cog-tomcat.jar|grep -v ${GLOBUS_LOCATION}/lib/bootstrap.jar|grep -v ${GLOBUS_LOCATION}/lib/concurrent.jar|grep -v ${GLOBUS_LOCATION}/lib/servlet.jar|grep -v ${GLOBUS_LOCATION}/lib/lucene|grep -v ${GLOBUS_LOCATION}/lib/castor`
do
   CP=$CP:"$i"
done

if [ -z "$CLASSPATH" ] ; then
  CLASSPATH=$CP
else
  CLASSPATH=$CLASSPATH:$CP
fi

export CLASSPATH

